(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     13780,        422]
NotebookOptionsPosition[     12822,        385]
NotebookOutlinePosition[     13166,        400]
CellTagsIndexPosition[     13123,        397]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[Cell["\<\
This file contains the derivations for proof of Lemma 1 on comparative \
statics. 
For corresponding notations in the main text, L represents lambda, f \
represents varphi, p represents phi, g represents rho, u represents mu, a \
represents alpha, b represents sigma, and x represents E.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.620967939660775*^9, 3.6209679459548764`*^9}, {3.6209680529196467`*^9, 
   3.6209680542235136`*^9}, {3.6424665701813445`*^9, 3.642466572328817*^9}}],

Cell[BoxData[Cell["\<\
The following two equations rearranges the LHS of (22).\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.620967970147957*^9, 3.6209680055985727`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"L", "+", 
      RowBox[{"g", "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "s"}], ")"}]}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"a", "/", 
      RowBox[{"(", 
       RowBox[{"b", "*", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"p", "*", "a"}]}], ")"}]}], ")"}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"g", "*", "b", "*", "p", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"g", "+", 
           RowBox[{"L", "*", 
            RowBox[{"(", 
             RowBox[{"1", "+", "s"}], ")"}]}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"L", "+", 
           RowBox[{"g", "*", 
            RowBox[{"(", 
             RowBox[{"1", "-", "s"}], ")"}]}]}], ")"}]}], ")"}]}], "-", 
      RowBox[{"L", "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"p", "*", "b"}]}], ")"}]}]}], ")"}]}], "==", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"g", "+", "L"}], ")"}], "^", "2"}], "/", 
    RowBox[{"(", 
     RowBox[{"u", "-", "1"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5944441425823145`*^9, 3.594444268923928*^9}, {
  3.5944443726274595`*^9, 3.594444377322566*^9}, {3.5944444695792713`*^9, 
  3.5944444868088045`*^9}, {3.5944445802335234`*^9, 3.594444593904209*^9}, {
  3.594444629849572*^9, 3.594444637943657*^9}, {3.5944448591915474`*^9, 
  3.5944449643323207`*^9}, {3.594445088772356*^9, 3.5944450892516737`*^9}, {
  3.5965196759018164`*^9, 3.596519680701*^9}, {3.6164699137451096`*^9, 
  3.6164701030794897`*^9}, {3.616470158710966*^9, 3.616470160109896*^9}, {
  3.6164834628677893`*^9, 3.616483463524216*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "a"}], " ", 
     RowBox[{"(", 
      RowBox[{"g", "+", "L"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "f"}], "+", "L", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"g", "+", "L"}], ")"}], " ", "p"}]}], ")"}]}], "+", 
    RowBox[{"a", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "f"}], "+", "L"}], ")"}], " ", "s"}]}], 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b", " ", "p"}]}]], "\[Equal]", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"g", "+", "L"}], ")"}], "2"], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "u"}]]}]], "Output",
 CellChangeTimes->{3.5944442720359926`*^9, 3.5944443785934105`*^9, 
  3.594444487659369*^9, 3.594444639152461*^9, 3.5944449662475867`*^9, 
  3.594445090890649*^9, 3.5965196841758623`*^9, 3.616470175041937*^9, 
  3.61648346909191*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Expand", "[", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "a"}], " ", 
        RowBox[{"(", 
         RowBox[{"g", "+", "L"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "f"}], "+", "L", "+", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{"g", "+", "L"}], ")"}], " ", "p"}]}], ")"}]}], "+", 
       RowBox[{"a", " ", "g", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "f"}], "+", "L"}], ")"}], " ", "s"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]], "]"}], "]"}], ",", "L"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.582677436970776*^9, 3.582677478557605*^9}, {
   3.5826785865294576`*^9, 3.5826785888415728`*^9}, {3.582680415834386*^9, 
   3.582680472356229*^9}, {3.5944455233925543`*^9, 3.594445525506959*^9}, 
   3.6164701985045247`*^9, 3.61648348237547*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["L", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "a"}], "-", 
      RowBox[{"a", " ", "b", " ", "p"}]}], ")"}]}], 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
  FractionBox[
   RowBox[{"L", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"a", " ", "f"}], "-", 
      RowBox[{"a", " ", "g"}], "-", 
      RowBox[{"2", " ", "a", " ", "b", " ", "g", " ", "p"}], "+", 
      RowBox[{"a", " ", "g", " ", "s"}]}], ")"}]}], 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"a", " ", "f", " ", "g"}], "-", 
    RowBox[{"a", " ", "b", " ", 
     SuperscriptBox["g", "2"], " ", "p"}], "-", 
    RowBox[{"a", " ", "f", " ", "g", " ", "s"}]}], 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b", " ", "p"}]}]]}]], "Output",
 CellChangeTimes->{3.5944455276201816`*^9, 3.5965197271453753`*^9, 
  3.616470203310704*^9, 3.616483487467864*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of LHS with respect to s.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.620967970147957*^9, 3.620968035519088*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["L", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "a"}], "-", 
         RowBox[{"a", " ", "b", " ", "p"}]}], ")"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
     FractionBox[
      RowBox[{"L", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", " ", "f"}], "-", 
         RowBox[{"a", " ", "g"}], "-", 
         RowBox[{"2", " ", "a", " ", "b", " ", "g", " ", "p"}], "+", 
         RowBox[{"a", " ", "g", " ", "s"}]}], ")"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"a", " ", "f", " ", "g"}], "-", 
       RowBox[{"a", " ", "b", " ", 
        SuperscriptBox["g", "2"], " ", "p"}], "-", 
       RowBox[{"a", " ", "f", " ", "g", " ", "s"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]]}], ",", "s"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616473992837429*^9, 3.6164739992526774`*^9}, 
   3.616483508071559*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{"a", " ", "g", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "f"}], "+", "L"}], ")"}]}], 
  RowBox[{"b", "+", 
   RowBox[{"a", " ", "b", " ", "p"}]}]]], "Output",
 CellChangeTimes->{3.616474000124256*^9, 3.6164835096816177`*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of LHS with respect to alpha.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.620967970147957*^9, 3.620968067070228*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["L", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "a"}], "-", 
         RowBox[{"a", " ", "b", " ", "p"}]}], ")"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
     FractionBox[
      RowBox[{"L", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", " ", "f"}], "-", 
         RowBox[{"a", " ", "g"}], "-", 
         RowBox[{"2", " ", "a", " ", "b", " ", "g", " ", "p"}], "+", 
         RowBox[{"a", " ", "g", " ", "s"}]}], ")"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"a", " ", "f", " ", "g"}], "-", 
       RowBox[{"a", " ", "b", " ", 
        SuperscriptBox["g", "2"], " ", "p"}], "-", 
       RowBox[{"a", " ", "f", " ", "g", " ", "s"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]]}], ",", "a"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{3.6164746979985285`*^9, 3.6164835419940863`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{"g", "+", "L"}], ")"}]}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "f"}], "+", "L", "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{"g", "+", "L"}], ")"}], " ", "p"}]}], ")"}]}], "+", 
   RowBox[{"g", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "f"}], "+", "L"}], ")"}], " ", "s"}]}], 
  RowBox[{"b", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"a", " ", "p"}]}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.6164746992453613`*^9, 3.6164835451281776`*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of LHS with respect to sigma.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.620967970147957*^9, 3.620968035519088*^9}, {3.6209680713820963`*^9, 
   3.6209680734314513`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["L", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "a"}], "-", 
         RowBox[{"a", " ", "b", " ", "p"}]}], ")"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
     FractionBox[
      RowBox[{"L", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a", " ", "f"}], "-", 
         RowBox[{"a", " ", "g"}], "-", 
         RowBox[{"2", " ", "a", " ", "b", " ", "g", " ", "p"}], "+", 
         RowBox[{"a", " ", "g", " ", "s"}]}], ")"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"a", " ", "f", " ", "g"}], "-", 
       RowBox[{"a", " ", "b", " ", 
        SuperscriptBox["g", "2"], " ", "p"}], "-", 
       RowBox[{"a", " ", "f", " ", "g", " ", "s"}]}], 
      RowBox[{"b", "+", 
       RowBox[{"a", " ", "b", " ", "p"}]}]]}], ",", "b"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6164752658643436`*^9, 3.6164752662486057`*^9}, 
   3.6164835641698294`*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"a", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", "L"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"g", "+", "L", "-", 
      RowBox[{"g", " ", "s"}]}], ")"}]}], 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"a", " ", "p"}]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.616475267142194*^9, 3.6164835661031075`*^9}]
}, Open  ]]
},
WindowSize->{1264, 663},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 768, 12, 72, "Input"],
Cell[1328, 34, 434, 7, 31, "Input"],
Cell[CellGroupData[{
Cell[1787, 45, 1774, 48, 31, "Input"],
Cell[3564, 95, 949, 29, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4550, 129, 999, 27, 48, "Input"],
Cell[5552, 158, 1004, 30, 51, "Output"]
}, Open  ]],
Cell[6571, 191, 417, 7, 31, "Input"],
Cell[CellGroupData[{
Cell[7013, 202, 1159, 34, 51, "Input"],
Cell[8175, 238, 274, 8, 48, "Output"]
}, Open  ]],
Cell[8464, 249, 421, 7, 31, "Input"],
Cell[CellGroupData[{
Cell[8910, 260, 1133, 33, 51, "Input"],
Cell[10046, 295, 646, 22, 49, "Output"]
}, Open  ]],
Cell[10707, 320, 475, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[11207, 332, 1163, 34, 51, "Input"],
Cell[12373, 368, 433, 14, 49, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
