(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     33016,       1019]
NotebookOptionsPosition[     30575,        932]
NotebookOutlinePosition[     30919,        947]
CellTagsIndexPosition[     30876,        944]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[Cell["\<\
This file contains the derivations for proof of Proposition 2 on the optimal \
profit-division rule. 
For corresponding notations in the main text, L represents lambda, f \
represents varphi, p represents phi, g represents rho, u represents mu, a \
represents alpha, b represents sigma, and x represents E.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209681453398337`*^9, 
   3.6209681541526923`*^9}, {3.6424666189757614`*^9, 3.642466619163292*^9}}],

Cell[BoxData[Cell["\<\
The following two equations set patent breadth to its optimal level and \
simplify E.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.62096816340184*^9, 
   3.6209681892775855`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", "=", 
  RowBox[{"1", "/", "a"}]}]], "Input",
 CellChangeTimes->{{3.59662423216938*^9, 3.5966242342397633`*^9}}],

Cell[BoxData[
 FractionBox["1", "a"]], "Output",
 CellChangeTimes->{3.5966242350853157`*^9, 3.5974593937383876`*^9, 
  3.597459475412202*^9, 3.5974596584345627`*^9, 3.5975360340365124`*^9, 
  3.615704953004504*^9, 3.6157699268012753`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x1", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"a", " ", "u", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "g"}], ")"}]}], "-", 
        RowBox[{"a", " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "g", "-", 
           RowBox[{"g", " ", "s"}]}], ")"}]}], "+", 
        RowBox[{"a", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"f", "+", "g"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"2", " ", "b", " ", "p"}]}], ")"}]}], "-", 
           RowBox[{"g", " ", "s"}]}], ")"}], " ", "u"}], "-", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{"a", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "u"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", "b", " ", "g", " ", 
              RowBox[{"(", 
               RowBox[{"f", "+", "g"}], ")"}], " ", "s"}], "-", 
             RowBox[{"a", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"f", "+", "g", "-", 
                 RowBox[{"g", " ", "s"}]}], ")"}], "2"]}], "+", 
             RowBox[{"a", " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"f", "+", "g"}], ")"}], "2"], "-", 
                RowBox[{"2", " ", "g", " ", 
                 RowBox[{"(", 
                  RowBox[{"f", "+", "g"}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"2", " ", "b", " ", "p"}]}], ")"}], " ", "s"}], 
                "+", 
                RowBox[{
                 SuperscriptBox["g", "2"], " ", 
                 SuperscriptBox["s", "2"]}]}], ")"}], " ", "u"}]}], ")"}]}], 
          ")"}]}]}], ")"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"a", " ", "p", " ", "u"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"b", "+", 
        RowBox[{"a", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "u", "+", 
           RowBox[{"b", " ", "p", " ", "u"}]}], ")"}]}]}], ")"}]}], ")"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.615704949774359*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"f", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "a", "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "p"}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"g", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "p"}], ")"}]}], "+", 
       RowBox[{"a", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "s"}], ")"}]}], "-", "s"}], ")"}]}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"f", "+", "g"}], ")"}], "2"]}], "-", 
        RowBox[{"2", " ", "g", " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "g"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "a", "-", 
           RowBox[{"2", " ", "b", " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "p"}], ")"}]}]}], ")"}], " ", "s"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
         SuperscriptBox["g", "2"], " ", 
         SuperscriptBox["s", "2"]}]}], ")"}]}]]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", "f", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "p"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "a", "+", "b", "+", 
      RowBox[{"b", " ", "p"}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.596624246207697*^9, 3.597459399562252*^9, 
  3.5974594785462823`*^9, 3.5974596600176086`*^9, 3.5975360379581113`*^9, 
  3.6157049632753243`*^9, 3.615769934666487*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
Equating (19) and (26) yields the optimal profit-division rule.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.634808659230919*^9, 3.634808659230919*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"x1", "\[Equal]", 
     RowBox[{"g", "/", 
      RowBox[{"(", 
       RowBox[{"f", "*", "lnz"}], ")"}]}]}], ",", "s"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.59662425416898*^9, 3.5966242742853312`*^9}, {
  3.597459403130621*^9, 3.5974594071062346`*^9}, {3.5974596627054005`*^9, 
  3.597459664225565*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"s", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"b", " ", "f", " ", "lnz"}], "+", 
        RowBox[{"g", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "a", "+", 
           RowBox[{"b", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], 
          ")"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"f", " ", "lnz"}], "+", 
        RowBox[{"g", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
      SuperscriptBox["g", "2"], " ", "lnz"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.596624275993464*^9, 3.597459409726963*^9, 
  3.597459495351473*^9, 3.5974596654243555`*^9, 3.597536041821334*^9, 
  3.6157049717229385`*^9, 3.6157699433744283`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sstar", "=", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"b", " ", "f", " ", "lnz"}], "+", 
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "a", "+", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}]}], 
     ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", "lnz"}], "+", 
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
    SuperscriptBox["g", "2"], " ", "lnz"}]]}]], "Input",
 CellChangeTimes->{{3.5966244204994793`*^9, 3.596624428013466*^9}, 
   3.597459417417062*^9, 3.597459677636465*^9, 3.6157049796962423`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"b", " ", "f", " ", "lnz"}], "+", 
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "a", "+", 
        RowBox[{"b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}]}], 
    ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"f", " ", "lnz"}], "+", 
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
   SuperscriptBox["g", "2"], " ", "lnz"}]]], "Output",
 CellChangeTimes->{3.5966244289560776`*^9, 3.5974594183727045`*^9, 
  3.5974594976580024`*^9, 3.597459678400967*^9, 3.597536043774662*^9, 
  3.615704980809971*^9, 3.6157699454828253`*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The following two equations derive the levels of varphi making sstar equal \
either 0 or 1.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968274763938*^9, 3.6209683175004463`*^9}, {
   3.6209684125551615`*^9, 3.6209684305631866`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"b", " ", "f", " ", "lnz"}], "+", 
        RowBox[{"g", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "a", "+", 
           RowBox[{"b", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], 
          ")"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"f", " ", "lnz"}], "+", 
        RowBox[{"g", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
     "\[Equal]", "0"}], ",", "f"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6157098456665897`*^9, 3.6157098492339725`*^9}, {
  3.615769920498087*^9, 3.6157699211365137`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"f", "\[Rule]", 
     FractionBox[
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}], "lnz"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", "\[Rule]", 
     FractionBox[
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "a", "+", 
         RowBox[{"b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}]}], ")"}]}], 
      RowBox[{"b", " ", "lnz"}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6157691721212225`*^9, 3.6157699535962105`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"b", " ", "f", " ", "lnz"}], "+", 
         RowBox[{"g", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "a", "+", 
            RowBox[{"b", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], 
           ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"f", " ", "lnz"}], "+", 
         RowBox[{"g", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
      "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
       SuperscriptBox["g", "2"], " ", "lnz"}]}], "\[Equal]", "0"}], ",", 
    "f"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.596624448521061*^9, 3.5966244657835226`*^9}, {
  3.596624553819942*^9, 3.5966245820710716`*^9}, {3.5966246519554353`*^9, 
  3.596624679725874*^9}, {3.59662534758613*^9, 3.5966253828655434`*^9}, {
  3.597459521350526*^9, 3.5974595273912992`*^9}, {3.5974596950680428`*^9, 
  3.5974597051707373`*^9}, {3.615705011865614*^9, 3.6157050371974335`*^9}, {
  3.615769071704932*^9, 3.615769072872721*^9}, {3.615769188152048*^9, 
  3.615769191094001*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"f", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"g", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "a", "+", 
          RowBox[{
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", "a"}]], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", "a", "+", 
             RowBox[{"4", " ", "b", " ", "lnz"}]}]]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
       RowBox[{"2", " ", "b", " ", "lnz"}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", "\[Rule]", 
     FractionBox[
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "a", "+", 
         RowBox[{
          SqrtBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", "a"}]], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", "a", "+", 
            RowBox[{"4", " ", "b", " ", "lnz"}]}]]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}]}], ")"}]}], 
      RowBox[{"2", " ", "b", " ", "lnz"}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.596624472485963*^9, 3.596624630878445*^9, 3.596624667333638*^9, 
   3.5966247261036396`*^9, 3.5966253865690002`*^9, 3.597459529070409*^9, 
   3.5974597069509134`*^9, 3.597536046018119*^9, {3.615705014089095*^9, 
   3.615705040974947*^9}, 3.615769074865035*^9, 3.6157691919605803`*^9, 
   3.615769971805626*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The following four commands compare the above levels of varphi, which pin \
down the range of varphi in Assumption 2.1 ensuring that sstar lies between 0 \
and 1.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968376138553*^9, 3.62096839580303*^9}, {
   3.6209684367713137`*^9, 3.620968466901989*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"g", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "a", "+", 
       RowBox[{
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", "a"}]], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", "a", "+", 
          RowBox[{"4", " ", "b", " ", "lnz"}]}]]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "b", " ", "lnz"}]], "-", 
   FractionBox[
    RowBox[{"g", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}]}], ")"}]}], 
    RowBox[{"b", " ", "lnz"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.6157098817624407`*^9, 3.6157099150775566`*^9}, 
   3.6157678681686134`*^9, 3.6157679135129476`*^9, 3.615768359443762*^9, {
   3.615769988593758*^9, 3.6157699982401037`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"g", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "a", "+", 
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "a"}]], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "a", "+", 
        RowBox[{"4", " ", "b", " ", "lnz"}]}]]}]}], ")"}]}], 
  RowBox[{"2", " ", "b", " ", "lnz"}]]], "Output",
 CellChangeTimes->{3.6157099179584737`*^9, 3.615767871649925*^9, 
  3.615767915559306*^9, 3.615768373421043*^9, 3.615769999496933*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"g", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "a", "+", 
       RowBox[{
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", "a"}]], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", "a", "+", 
          RowBox[{"4", " ", "b", " ", "lnz"}]}]]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "b", " ", "lnz"}]], "-", 
   FractionBox[
    RowBox[{"g", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}], "lnz"]}], "]"}]], "Input",
 CellChangeTimes->{{3.615770077439804*^9, 3.615770085373085*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"g", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "a", "+", 
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "a"}]], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "a", "+", 
        RowBox[{"4", " ", "b", " ", "lnz"}]}]]}]}], ")"}]}], 
  RowBox[{"2", " ", "b", " ", "lnz"}]]], "Output",
 CellChangeTimes->{3.6157683852346134`*^9, 3.615770086776002*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "a", "+", 
        RowBox[{
         SqrtBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", "a"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", "a", "+", 
           RowBox[{"4", " ", "b", " ", "lnz"}]}]]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
     RowBox[{"2", " ", "b", " ", "lnz"}]]}], "-", 
   FractionBox[
    RowBox[{"g", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}], "lnz"]}], "]"}]], "Input",
 CellChangeTimes->{
  3.6157679030689507`*^9, {3.615770118198949*^9, 3.615770124291999*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"g", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "a", "+", 
      RowBox[{
       SqrtBox[
        RowBox[{
         RowBox[{"-", "1"}], "+", "a"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", "1"}], "+", "a", "+", 
         RowBox[{"4", " ", "b", " ", "lnz"}]}]]}]}], ")"}]}], 
   RowBox[{"2", " ", "b", " ", "lnz"}]]}]], "Output",
 CellChangeTimes->{3.6157679899288387`*^9, 3.615770125352702*^9, 
  3.6157708272628117`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "a", "+", 
        RowBox[{
         SqrtBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", "a"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", "a", "+", 
           RowBox[{"4", " ", "b", " ", "lnz"}]}]]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}], 
     RowBox[{"2", " ", "b", " ", "lnz"}]]}], "-", 
   FractionBox[
    RowBox[{"g", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "a", "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}]}], ")"}]}], 
    RowBox[{"b", " ", "lnz"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.6157702140063767`*^9, 3.6157702226851397`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"g", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "a", "-", 
     RowBox[{
      SqrtBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "a"}]], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "a", "+", 
        RowBox[{"4", " ", "b", " ", "lnz"}]}]]}]}], ")"}]}], 
  RowBox[{"2", " ", "b", " ", "lnz"}]]], "Output",
 CellChangeTimes->{3.6157679967403765`*^9, 3.6157702238349175`*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of sstar with respect to lnz.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968513082822*^9, 3.620968519946384*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"sstar", ",", "lnz"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5975360554724083`*^9, 3.5975360655808334`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"b", " ", 
    SuperscriptBox["f", "2"], " ", 
    SuperscriptBox["lnz", "2"]}], "+", 
   RowBox[{"2", " ", "b", " ", "f", " ", "g", " ", 
    SuperscriptBox["lnz", "2"]}], "+", 
   RowBox[{
    SuperscriptBox["g", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "p", "+", 
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "p"}], ")"}]}], "+", 
      RowBox[{"b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "lnz", "+", "p"}], ")"}]}]}], ")"}]}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
   SuperscriptBox["g", "2"], " ", 
   SuperscriptBox["lnz", "2"]}]]], "Output",
 CellChangeTimes->{3.5975360668957057`*^9, 3.615705719451451*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of sstar with respect to varphi.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968513082822*^9, 3.6209685297474833`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"sstar", ",", "f"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6157077135016327`*^9, 3.61570771952565*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "b", " ", "f", " ", "lnz"}], "+", 
   RowBox[{"g", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "a", "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
   SuperscriptBox["g", "2"]}]]], "Output",
 CellChangeTimes->{3.6157077212557974`*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of sstar with respect to rho.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968513082822*^9, 3.620968535017987*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"sstar", ",", "g"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.615707738548765*^9, 3.6157077425654325`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "b", " ", "f", " ", "lnz"}], "+", 
      RowBox[{"g", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "a", "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}]}]}], 
     ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
    SuperscriptBox["g", "3"]}]]}]], "Output",
 CellChangeTimes->{3.615707743404993*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of sstar with respect to phi.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968513082822*^9, 3.620968539794162*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"sstar", ",", "p"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.615707789029293*^9, 3.615707789916874*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "b", " ", "f", " ", "lnz"}], "+", 
   RowBox[{"g", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "a", "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "lnz", "+", "p"}], ")"}]}]}], ")"}]}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", "g", " ", "lnz"}]]], "Output",
 CellChangeTimes->{3.615707790462254*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of sstar with respect to alpha.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968513082822*^9, 3.620968544498497*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"sstar", ",", "a"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5975374283668303`*^9, 3.5975374356736803`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"b", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f", " ", "lnz"}], "+", 
       RowBox[{"g", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}], 
     "2"]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "a"}], ")"}], "2"], " ", 
    SuperscriptBox["g", "2"], " ", "lnz"}]]}]], "Output",
 CellChangeTimes->{3.5975374365322485`*^9, 3.615705723627236*^9}]
}, Open  ]],

Cell[BoxData[Cell["\<\
The derivative of sstar with respect to sigma.\
\>"]], "Input",
 CellChangeTimes->{{3.594100308233206*^9, 3.59410032843465*^9}, {
   3.596517062223633*^9, 3.596517066484461*^9}, 3.6209664537665124`*^9, {
   3.620966540264711*^9, 3.620966670503874*^9}, {3.620966982379381*^9, 
   3.620966997979721*^9}, {3.6209674634923687`*^9, 3.620967464226856*^9}, {
   3.6209681029108677`*^9, 3.6209681041747026`*^9}, {3.6209682231630664`*^9, 
   3.620968240717039*^9}, {3.620968513082822*^9, 3.620968549745985*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"sstar", ",", "b"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.615705733835007*^9, 3.6157057340581503`*^9}}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"f", " ", "lnz"}], "+", 
     RowBox[{"g", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "lnz", "-", "p"}], ")"}]}]}], ")"}], "2"], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "a"}], ")"}], " ", 
   SuperscriptBox["g", "2"], " ", "lnz"}]]], "Output",
 CellChangeTimes->{3.6157057346825786`*^9}]
}, Open  ]]
},
WindowSize->{1264, 663},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 789, 12, 72, "Input"],
Cell[1349, 34, 517, 9, 31, "Input"],
Cell[CellGroupData[{
Cell[1891, 47, 139, 3, 31, "Input"],
Cell[2033, 52, 238, 4, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2308, 61, 2539, 72, 98, "Input"],
Cell[4850, 135, 1915, 58, 44, "Output"]
}, Open  ]],
Cell[6780, 196, 542, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[7347, 208, 409, 11, 31, "Input"],
Cell[7759, 221, 1073, 32, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8869, 258, 922, 29, 49, "Input"],
Cell[9794, 289, 919, 29, 49, "Output"]
}, Open  ]],
Cell[10728, 321, 626, 10, 31, "Input"],
Cell[CellGroupData[{
Cell[11379, 335, 896, 27, 31, "Input"],
Cell[12278, 364, 625, 19, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12940, 388, 1444, 39, 33, "Input"],
Cell[14387, 429, 1664, 47, 54, "Output"]
}, Open  ]],
Cell[16066, 479, 692, 11, 52, "Input"],
Cell[CellGroupData[{
Cell[16783, 494, 1015, 29, 58, "Input"],
Cell[17801, 525, 534, 16, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18372, 546, 763, 23, 58, "Input"],
Cell[19138, 571, 444, 14, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19619, 590, 876, 27, 58, "Input"],
Cell[20498, 619, 523, 17, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21058, 641, 975, 30, 58, "Input"],
Cell[22036, 673, 467, 15, 54, "Output"]
}, Open  ]],
Cell[22518, 691, 523, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[23066, 703, 193, 4, 31, "Input"],
Cell[23262, 709, 899, 28, 52, "Output"]
}, Open  ]],
Cell[24176, 740, 528, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[24729, 752, 188, 4, 31, "Input"],
Cell[24920, 758, 517, 17, 49, "Output"]
}, Open  ]],
Cell[25452, 778, 523, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[26000, 790, 189, 4, 31, "Input"],
Cell[26192, 796, 623, 21, 49, "Output"]
}, Open  ]],
Cell[26830, 820, 523, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[27378, 832, 187, 4, 31, "Input"],
Cell[27568, 838, 475, 15, 48, "Output"]
}, Open  ]],
Cell[28058, 856, 525, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[28608, 868, 191, 4, 31, "Input"],
Cell[28802, 874, 560, 19, 52, "Output"]
}, Open  ]],
Cell[29377, 896, 525, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[29927, 908, 189, 4, 31, "Input"],
Cell[30119, 914, 440, 15, 52, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
